KABC::LdapClient class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::LdapClient Class Reference

This class is internal. More...

`#include <ldapclient.h>`

Inheritance diagram for KABC::LdapClient:

[legend]
Collaboration diagram for KABC::LdapClient:

[legend]
List of all members.

## Public Slots
void | setHost (const QString &host)
QString | host () const
void | setPort (const QString &port)
QString | port () const
void | setBase (const QString &base)
QString | base () const
void | setAttrs (const QStringList &attrs)
QStringList | attrs () const
void | setScope (const QString scope)
void | startQuery (const QString &filter)
void | cancelQuery ()
## Signals
void | done ()
void | error (const QString &)
void | result (const KABC::LdapObject &)
## Public Member Functions
| LdapClient (QObject *parent=0, const char *name=0)
bool | isActive () const
## Protected Slots
void | slotData (KIO::Job *, const QByteArray &data)
void | slotInfoMessage (KIO::Job *, const QString &info)
void | slotDone ()
## Protected Member Functions
void | startParseLDIF ()
void | parseLDIF (const QByteArray &data)
void | endParseLDIF ()
## Protected Attributes
QString | mHost
QString | mPort
QString | mBase
QString | mScope
QStringList | mAttrs
QGuardedPtr< KIO::SimpleJob > | mJob
bool | mActive
LdapObject | mCurrentObject
QCString | mBuf
QCString | mLastAttrName
QCString | mLastAttrValue
bool | mIsBase64

## Detailed Description

This class is internal.

Binary compatibiliy might be broken any time without notification. Do not use it.

We mean it!

Definition at line 83 of file ldapclient.h.

## Member Function Documentation

bool KABC::LdapClient::isActive | ( |  | ) | const`[inline]`

| returns true if there is a query running Definition at line 92 of file ldapclient.h.

void KABC::LdapClient::done | ( |  | ) | `[signal]`

| Emitted when the query is done

void KABC::LdapClient::error | ( | const QString & |  | ) | `[signal]`

| Emitted in case of error

void KABC::LdapClient::result | ( | const KABC::LdapObject & |  | ) | `[signal]`

| Emitted once for each object returned from the query Referenced by startQuery().

void LdapClient::setHost | ( | const QString & | host | ) | `[slot]`

| Set the name or IP of the LDAP server Definition at line 93 of file ldapclient.cpp.

void LdapClient::setPort | ( | const QString & | port | ) | `[slot]`

| Set the port of the LDAP server if using a nonstandard port Definition at line 98 of file ldapclient.cpp.

void LdapClient::setBase | ( | const QString & | base | ) | `[slot]`

| Set the base DN Definition at line 103 of file ldapclient.cpp.

void LdapClient::setAttrs | ( | const QStringList & | attrs | ) | `[slot]`

| Set the attributes that should be returned, or an empty list if all attributes are wanted Definition at line 108 of file ldapclient.cpp.

void LdapClient::startQuery | ( | const QString & | filter | ) | `[slot]`

| Start the query with filter filter Definition at line 113 of file ldapclient.cpp. References QString::arg(), cancelQuery(), QObject::connect(), QString::isEmpty(), QStringList::join(), QString::latin1(), and result().

void LdapClient::cancelQuery | ( |  | ) | `[slot]`

| Abort a running query Definition at line 145 of file ldapclient.cpp. Referenced by startQuery().

The documentation for this class was generated from the following files:

- ldapclient.h
- ldapclient.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:47 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001